set TZ=JST-9
@echo on

call clean.bat

REM ====== WindowsCE ======

set BUILDER="C:\Program Files\Microsoft eMbedded Tools\Common\EVC\Bin\EVC.EXE"
set CABBUILDER="\Windows CE Tools\wce211\MS HPC Pro\support\appinst\bin\cabwiz.exe"

REM ------------------------------------------------------------------
REM DIR COMPLIE
REM ------------------------------------------------------------------
set TARGET=DIR

set srcdir=%TARGET%_src
set cabdir=%TARGET%_cab

%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE ARM) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE MIPS) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE SH3) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE SH4) Release" /rebuild

REM ====== Windows   ======
msdev PCDir.dsp /MAKE "PCDir - Win32 Release" /REBUILD

REM ------------------------------------------------------------------
REM CABS
REM ------------------------------------------------------------------

%cabbuilder% %TARGET%.inf /err %TARGET%.log /cpu ARM MIPS SH3 SH4 PXA

del .\%TARGET%.arm.dat
del .\%TARGET%.mips.dat
del .\%TARGET%.sh3.dat
del .\%TARGET%.sh4.dat
del .\%TARGET%.pxa.dat

mkdir %cabdir%
move .\%TARGET%*.cab .\%cabdir%


REM ------ SRC ------ 
mkdir %srcdir%
copy .\Release\*.chx .\%cabdir%

copy .\*.c .\%srcdir%
copy .\*.cpp .\%srcdir%
copy .\*.h* .\%srcdir%
copy .\*.dsp .\%srcdir%
copy .\*.dsw .\%srcdir%
copy .\*.vcw .\%srcdir%
copy .\*.vcp .\%srcdir%
copy .\*.vco .\%srcdir%
copy .\*.txt .\%srcdir%
copy .\*.rc .\%srcdir%
copy .\*.bat .\%srcdir%
copy .\*.ico .\%srcdir%
copy .\*.html .\%srcdir%
copy .\*.inf .\%srcdir%
copy .\*.def .\%srcdir%
copy .\*.gif .\%srcdir%



zip -r %TARGET%_src.zip .\%srcdir%
zip -r %TARGET%_cab.zip .\%cabdir%
